Skip to main content
GET
/
payments
List and filter payments
curl --request GET \
  --url https://commerce1.on-hellgate.dev/payments \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "additional_information": {},
      "amount": 123,
      "continuation": {
        "error": "<string>",
        "success": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "currency": "<string>",
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "distributions": [
        {
          "amount": 123,
          "description": "<string>",
          "seller_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metadata": {},
      "order_id": "<string>",
      "payment_method": {
        "data": {},
        "token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "FIRST_PAYMENT"
      },
      "processing": {
        "requirement": {
          "action": "<string>",
          "message": "<string>",
          "options": [
            {}
          ]
        },
        "status": "ACTION_REQUIRED"
      },
      "processor": {
        "amount_authorized": 123,
        "amount_captured": 123,
        "amount_refunded": 123,
        "merchant_id": "<string>",
        "name": "<string>"
      },
      "refunds": [
        {
          "amount": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "currency_code": "<string>",
          "distributions": [
            {
              "amount": 123,
              "description": "<string>",
              "seller_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            }
          ],
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "status": "<string>"
        }
      ],
      "settlements": [
        {
          "amount": 123,
          "currency_code": "<string>",
          "date": "2023-11-07T05:31:56Z",
          "settlement_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "settlement_report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      ],
      "status": "OPEN",
      "transactions": [
        {
          "amount": 123,
          "ended_at": "2023-11-07T05:31:56Z",
          "failure_reasons": [
            {
              "classifier": "<string>",
              "message": "<string>"
            }
          ],
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "processor_name": "<string>",
          "processor_transaction_id": "<string>",
          "started_at": "2023-11-07T05:31:56Z",
          "status": "PENDING",
          "transaction_type": "AUTHORIZE"
        }
      ]
    }
  ],
  "next_page": 123,
  "previous_page": 123
}

Authorizations

X-API-Key
string
header
required

Headers

X-Account-ID
string

Identifies the account. Required when authenticating via mTLS — omit when using an API key (account is inferred from the key).

Query Parameters

page
integer

Page cursor for pagination

limit
integer

Maximum items per page

Response

Success

data
PaymentResponse · object[]
next_page
integer
previous_page
integer